package com.usky.dxtop.controller.web;

import com.usky.dxtop.service.CallApiLogService;
import com.usky.dxtop.service.OrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.TreeMap;

/**
 * 充值回调
 * @author yq
 * @date 2021/8/30 10:40
 */
@RequestMapping("/top")
@RestController
@Slf4j
public class TopNotifyController {

    @Autowired
    private OrderService orderService;

    @Autowired
    private CallApiLogService callApiLogService;

    @PostMapping("/notify")
    public void test(@RequestParam(required = false) String merchantNo,
                     @RequestParam(required = false) String storeNo,
                     @RequestParam(required = false) String trxamt,
                     @RequestParam(required = false) String payTime,
                     @RequestParam(required = false) String chnltrxid,
                     @RequestParam(required = false) String trxstatus,
                     @RequestParam(required = false) String orderNo,
                     @RequestParam(required = false) String merchantOrderNo,
                     @RequestParam(required = false) String acct,
                     @RequestParam(required = false) String fee,
                     @RequestParam(required = false) String note,
                     @RequestParam(required = false) String label,
                     @RequestParam(required = false) String chnldata,
                     @RequestParam(required = false) String initamt,
                     @RequestParam(required = false) String groupNo,
                     @RequestParam(required = false) String employee,
                     @RequestParam(required = false) String sign){
        TreeMap<String, String> tMap = new TreeMap<>();
        tMap.put("merchantNo",merchantNo);
        tMap.put("storeNo",storeNo);
        tMap.put("trxamt",trxamt);
        tMap.put("payTime",payTime);
        tMap.put("chnltrxid",chnltrxid);
        tMap.put("trxstatus",trxstatus);
        tMap.put("orderNo",orderNo);
        tMap.put("merchantOrderNo",merchantOrderNo);
        tMap.put("acct",acct);
        tMap.put("fee",fee);
        tMap.put("note",note);
        tMap.put("label",label);
        tMap.put("chnldata",chnldata);
        tMap.put("initamt",initamt);
        tMap.put("groupNo",groupNo);
        tMap.put("employee",employee);
        tMap.put("sign",sign);

        //调用卡充值api
    }
}
